var fs = require('fs')
var marked = require('marked')
var path = require('path')

//第三方包，opener 可以自动打开自定文件
var opener = require('opener')

var templateStr = fs.readFileSync(path.join(__dirname, 'template.ico'), 'utf8')

module.exports = function(filePath) {
    fs.readFile(filePath, 'utf8', function(err, data) {
        if (err) {
            throw err
        }
        //生成html格式的字符串
        data = marked(data)
        data = templateStr.replace('^_^', data)

        var distPath = './' + path.parse(filePath).name + '.html'

        //写入到当前目录下的html文件
        fs.writeFile(distPath, data, function(err) {
            if (err) {
                throw err
            }
            console.log('编译成功')
            //直接调用，指定路径，自动打开
            opener(distPath)
        })
    })
}
